{
    "label": "流程",
    "order": 3,
    "blocks": [
        {
            "type": "All",
            "name": "BreakBp",
            "label": "break",
            "description": "",
            "inputParams": [],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## break (BreakBp)\n\n### 描述\n本块用于中断执行。\n\n### 输入参数\n无\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "DelayBp",
            "label": "延迟",
            "description": "",
            "inputParams": [
                {
                    "name": "timeMillis",
                    "type": "Long",
                    "label": "毫秒",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 延迟 (DelayBp)\n\n### 描述\n本块用于延迟执行。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| timeMillis | 必填    | Long | 延迟时间(毫秒) |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "IfBp",
            "label": "If",
            "description": "",
            "inputParams": [
                {
                    "name": "condition",
                    "type": "Boolean",
                    "label": "条件",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {
                "default": {
                    "label": "默认",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## If (IfBp)\n\n### 描述\n本块用于条件判断。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| condition | 必填    | Boolean | 条件 |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "IfElseBp",
            "label": "If-Else",
            "description": "",
            "inputParams": [
                {
                    "name": "conditionIf",
                    "type": "Boolean",
                    "label": "if条件",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {
                "if": {
                    "label": "if为真",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                },
                "else": {
                    "label": "else",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## If-Else (IfElseBp)\n\n### 描述\n本块用于条件判断。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| conditionIf | 必填    | Boolean | 条件 |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "IterateListBp",
            "label": "遍历数组",
            "description": "",
            "inputParams": [
                {
                    "name": "list",
                    "type": "JSONArray",
                    "label": "数组",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {
                "index": {
                    "type": "Long",
                    "label": "循环索引",
                    "description": null
                },
                "item": {
                    "type": "Any",
                    "label": "当前项",
                    "description": null
                }
            },
            "children": {
                "default": {
                    "label": "默认",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 遍历数组 (IterateListBp)\n\n### 描述\n本块用于遍历数组。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| list | 必填    | JSONArray | 数组 |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "ParallelFlowBp",
            "label": "并行执行",
            "description": "",
            "inputParams": [],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {
                "default": {
                    "label": "默认",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 并行执行 (ParallelFlowBp)\n\n### 描述\n本块用于并行执行。\n\n### 输入参数\n无\n\n### 输出参数\n无\n"
        },
        {
            "type": "Normal",
            "name": "RepeatNumBp",
            "label": "重复执行N次",
            "description": "",
            "inputParams": [
                {
                    "name": "num",
                    "type": "Long",
                    "label": "次数（N<1000）",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {
                "index": {
                    "type": "Long",
                    "label": "循环索引",
                    "description": null
                }
            },
            "children": {
                "default": {
                    "label": "默认",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 重复执行N次 (RepeatNumBp)\n\n### 描述\n本块用于重复执行N次。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| num | 必填    | Long | 次数（N<1000） |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "ReturnBp",
            "label": "return",
            "description": "",
            "inputParams": [],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## return (ReturnBp)\n\n### 描述\n本块用于返回值。\n\n### 输入参数\n无\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "SerialFlowBp",
            "label": "串行执行",
            "description": "",
            "inputParams": [],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {
                "default": {
                    "label": "默认",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 串行执行 (SerialFlowBp)\n\n### 描述\n本块用于串行执行。\n\n### 输入参数\n无\n\n### 输出参数\n无\n"
        },
        {
            "type": "Normal",
            "name": "ThrowExceptionBp",
            "label": "抛出异常",
            "description": "",
            "inputParams": [
                {
                    "name": "message",
                    "type": "String",
                    "label": "异常提示文本",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {},
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## 抛出异常 (ThrowExceptionBp)\n\n### 描述\n本块用于抛出异常。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| message | 必填    | String | 异常提示文本 |\n\n### 输出参数\n无\n"
        },
        {
            "type": "All",
            "name": "WhileBp",
            "label": "while",
            "description": "",
            "inputParams": [
                {
                    "name": "loopCondition",
                    "type": "Boolean",
                    "label": "循环条件",
                    "description": "",
                    "required": true,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "runOnce",
                    "type": "Boolean",
                    "label": "至少执行一次子块",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "retryPeriod",
                    "type": "Long",
                    "label": "循环时间间隔(ms)",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                },
                {
                    "name": "printContinuously",
                    "type": "Boolean",
                    "label": "是否持续打印日志(默认为false)",
                    "description": "",
                    "required": false,
                    "defaultValue": null,
                    "options": []
                }
            ],
            "extraInputParamsFunc": "",
            "outputParams": {},
            "contextVariables": {},
            "children": {
                "default": {
                    "label": "默认",
                    "childrenMinNum": 1,
                    "childrenMaxNum": -1
                }
            },
            "hidden": false,
            "scriptFunction": null,
            "operatingInstructions": "## while (WhileBp)\n\n### 描述\n本块用于循环执行。\n\n### 输入参数\n\n| 参数名   | 是否必填 | 类型 | 描述 |\n\n|---------|---------|------|------|\n| loopCondition | 必填    | Boolean | 循环条件 |\n\n### 输出参数\n无\n"
        }
    ]
}